Page MenuHomePhabricator

Cannot specify deleted/suppressed pages in pages involved field
Closed, ResolvedPublic3 Story Points

Description

When a page has been deleted/suppressed it can no longer be specified in the Pages Involved field, even though the user has access to these field(s).

This is probably because the endpoint we are using does not respect the user rights, or perhaps we need to use a different endpoint to get these pages.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2017, 10:42 PM
Jalexander triaged this task as High priority.Mar 21 2018, 10:44 PM
Jalexander added a subscriber: jrbs.

Assigning High so that it's first looked at if we have time for it since it makes the CP tool unusable (they are basically always deleted/suppressed already).

Restricted Application added a subscriber: MGChecker. · View Herald TranscriptMar 21 2018, 11:06 PM
dbarratt raised the priority of this task from High to Unbreak Now!.Mar 22 2018, 3:08 AM
dbarratt moved this task from Backlog to Bugs on the Wikimedia-Takedown-Tools board.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 22 2018, 3:09 AM
jrbs renamed this task from Cannot Specify Deleted/Suppressed Pages in Pages Involved Field to Cannot specify deleted/suppressed pages in pages involved field.Mar 22 2018, 6:28 PM
TBolliger set the point value for this task to 3.Mar 23 2018, 6:48 PM
Bucky199191 renamed this task from Cannot specify deleted/suppressed pages in pages involved field to awsome.Apr 10 2018, 5:07 AM
Bucky199191 closed this task as Declined.
Bucky199191 updated the task description. (Show Details)
Bucky199191 changed the point value for this task from 3 to 1.
JJMC89 renamed this task from awsome to Cannot specify deleted/suppressed pages in pages involved field.Apr 10 2018, 5:12 AM
JJMC89 reopened this task as Open.
JJMC89 updated the task description. (Show Details)
JJMC89 changed the point value for this task from 1 to 3.
Liuxinyu970226 added a comment.EditedApr 16 2018, 3:53 AM

This task is under UBN status for nearly one month, is there any reason that without fixing this task, tool can't work well? If not, I would suggest to downgrade UBN to High or Normal.

@dbarratt ^^

dbarratt lowered the priority of this task from Unbreak Now! to High.Apr 16 2018, 4:56 AM

This task is under UBN status for nearly one month, is there any reason that without fixing this task, tool can't work well? If not, I would suggest to downgrade UBN to High or Normal.
@dbarratt ^^

Sorry, I'm actually going to raise this back unless we're just rejecting the task. The tool is entirely unusable without this being fixed (ALL files we use for the child pornography side of the tool are deleted or oversighted at this point in the process).

Jalexander raised the priority of this task from High to Unbreak Now!.Jun 2 2018, 1:17 AM
dbarratt claimed this task.Jun 11 2018, 3:00 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 23) board.

Based on what I learned in T196950, we'll store both the pageid and the current title. If the page has already been deleted, we'll allow the title to specified by its self (i.e. without a pageid).

dbarratt closed this task as Resolved.Jun 16 2018, 4:30 AM
dbarratt moved this task from In progress to Done on the Anti-Harassment (AHT Sprint 23) board.